package controllers

import (
	"58team_blog/internal/application/services"

	"github.com/gin-gonic/gin"
)

type ImagesController struct {
	service *services.ImagesService
}

func CreateImagesController(service *services.ImagesService) ImagesController {
	return ImagesController{
		service: service,
	}
}

// get /images/{path}
// post /images
// delete /images/{id}

// @Summary		Get an image by path
// @Description	get image by path
// @Param			path	query	string	true	"Path to image"
// @Produce		image/png
// @Produce		image/jpeg
// @Success		200
// @Router			/images/{path} [get]
func (r *ImagesController) GetImage(c *gin.Context) {
	// TODO: return image
	panic("Not implemented")
}

func (r *ImagesController) PostImage(c *gin.Context) {
	// TODO: return image
	panic("Not implemented")
}

func (r *ImagesController) DeleteImage(c *gin.Context) {
	// TODO: return image
	panic("Not implemented")
}
